#pragma once

#include "MazeContent/Entities/IEntity.h"

class IDynamicEntity: public IEntity {
public:
    virtual std::unique_ptr<IDynamicEntity> clone() = 0;
    virtual void action() = 0;
    virtual ~IDynamicEntity() = default;
};